Package org.pushingpixels.flamingo.internal.ui.common.popup

# Class BasicColorSelectorComponentUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.pushingpixels.flamingo.internal.ui.common.popup.ColorSelectorComponentUI
org.pushingpixels.flamingo.internal.ui.common.popup.BasicColorSelectorComponentUI

public class BasicColorSelectorComponentUI extends ColorSelectorComponentUI
Basic UI for color selector component `JColorSelectorComponent`.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ActionListener`
`actionListener`
`protected ButtonModel`
`buttonModel`
`protected JColorSelectorComponent`
`colorSelectorComponent`
`protected ChangeListener`
`modelChangeListener`
`protected MouseListener`
`mouseListener`
`protected float`
`rollover`
`protected org.pushingpixels.trident.Timeline`
`rolloverTimeline`

## Constructor Summary

Constructors
Constructor
Description
`BasicColorSelectorComponentUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
`protected void`
`installComponents()`
Installs subcomponents on the associated color selector component.
`protected void`
`installDefaults()`
Installs defaults on the associated color selector component.
`protected void`
`installListeners()`
Installs listeners on the associated color selector component.
`void`
`installUI(JComponent c)`
`void`
`setRollover(float rollover)`
`protected void`
`uninstallComponents()`
Uninstalls subcomponents from the associated color selector component.
`protected void`
`uninstallDefaults()`
Uninstalls defaults from the associated color selector component.
`protected void`
`uninstallListeners()`
Uninstalls listeners from the associated color selector component.
`void`
`uninstallUI(JComponent c)`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, paint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### colorSelectorComponent

protected JColorSelectorComponent colorSelectorComponent

### buttonModel

protected ButtonModel buttonModel

### mouseListener

protected MouseListener mouseListener

### modelChangeListener

protected ChangeListener modelChangeListener

### actionListener

protected ActionListener actionListener

### rolloverTimeline

protected org.pushingpixels.trident.Timeline rolloverTimeline

### rollover

protected float rollover

## Constructor Details

### BasicColorSelectorComponentUI

public BasicColorSelectorComponentUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)

### installUI

public void installUI(JComponent c)

Overrides:
  `installUI` in class `ComponentUI`

### uninstallUI

public void uninstallUI(JComponent c)

Overrides:
  `uninstallUI` in class `ComponentUI`

### installListeners

protected void installListeners()
Installs listeners on the associated color selector component.

### uninstallListeners

protected void uninstallListeners()
Uninstalls listeners from the associated color selector component.

### installDefaults

protected void installDefaults()
Installs defaults on the associated color selector component.

### uninstallDefaults

protected void uninstallDefaults()
Uninstalls defaults from the associated color selector component.

### installComponents

protected void installComponents()
Installs subcomponents on the associated color selector component.

### uninstallComponents

protected void uninstallComponents()
Uninstalls subcomponents from the associated color selector component.

### setRollover

public void setRollover(float rollover)

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`